package com.jeeplus.modules.sg.financial.erpcredit.util;

import com.jeeplus.modules.sg.financial.erpcredit.entity.*;
import com.jeeplus.modules.sg.financial.settlement.entity.MaintainData;
import org.apache.poi.hssf.util.HSSFColor;
import org.apache.poi.ss.usermodel.*;
import org.apache.poi.xssf.usermodel.XSSFCell;
import org.apache.poi.xssf.usermodel.XSSFRow;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class ExportUtil2 {
    //读取得到其他费用表
   public static void getSheet3(Sheet sheet,List<ErpCredit> erpCredits){
       if (null!=sheet){
           XSSFRow row = (XSSFRow) sheet.getRow(0);
           XSSFCell cell = row.getCell(3);
           ScheduleOther scheduleOther = ExportUtil1.getScheduleOfOtherExpenses(erpCredits);
           List list = new ArrayList();
           list.add(scheduleOther.getRequisitionSite());
           list.add(scheduleOther.getCompensationAcquisition());
           list.add(scheduleOther.getCleaningFees());
           list.add(scheduleOther.getStorageFee());
           list.add(scheduleOther.getCompensateFee());
           list.add(scheduleOther.getManagementFee());
           list.add(scheduleOther.getPreparationFee());
           list.add(scheduleOther.getItemManageFee());
           list.add(scheduleOther.getTheTenderFee());
           list.add(scheduleOther.getSupervisionFee());
           list.add(scheduleOther.getTechnicalFee());
           list.add(scheduleOther.getSurveyFee());
           list.add(scheduleOther.getDesignFee());
           list.add(scheduleOther.getDrawingBudgetFee());
           list.add(scheduleOther.getEvaluationFee());
           list.add(scheduleOther.getEconomicFee());
           list.add(scheduleOther.getInspectionFee());
           list.add(scheduleOther.getPreparationFee());
           list.add(scheduleOther.getBasicFee());
           list.add(scheduleOther.getReserveFee());
           list.add(scheduleOther.getTotalFee());
           for (int i = 0; i < list.size(); i++) {
               row = (XSSFRow) sheet.getRow((int)i+6);
               cell=row.getCell(3);
               cell.setCellValue((String)list.get(i));
           }
       }
   }
   //移交资产—配电网资产一览表(线路)
   public static void getSheet5(Sheet sheet,List<ErpCredit> erpCredits){
       if (null!=sheet){
           XSSFRow row = (XSSFRow) sheet.getRow(0);
           XSSFCell cell = row.getCell(0);
           TransferOfPower1 transferOfPower1 = null;
           List<TransferOfPower1> transferOfPower1s = ExportUtil1.getTransFerPower1(erpCredits);
           for (int i = 0; i < transferOfPower1s.size(); i++) {
               transferOfPower1=transferOfPower1s.get(i);
               row = (XSSFRow) sheet.getRow((int)i+5);
               cell=row.getCell(0);
               cell.setCellValue(transferOfPower1.getPowerId());
               cell=row.getCell(1);
               cell.setCellValue(transferOfPower1.getPowerName());
               cell=row.getCell(2);
               cell.setCellValue(transferOfPower1.getPowerArea());
               cell=row.getCell(3);
               cell.setCellValue(transferOfPower1.getPowerDepartment());
               cell=row.getCell(4);
               cell.setCellValue(transferOfPower1.getPowerTenKvLineLength());
               cell=row.getCell(5);
               cell.setCellValue(transferOfPower1.getPowerTenKvCableType());
               cell=row.getCell(6);
               cell.setCellValue(transferOfPower1.getPowerBuildFee());
               cell=row.getCell(7);
               cell.setCellValue(transferOfPower1.getPowerInstallFee());
               cell=row.getCell(8);
               cell.setCellValue(transferOfPower1.getPowerStandInFee());
               cell=row.getCell(9);
               cell.setCellValue(transferOfPower1.getPowerDeliveredAssets());
               cell=row.getCell(10);
               cell.setCellValue(transferOfPower1.getPoweRequipmentFee());
           }
       }
   }
   //移交资产—配电网资产一览表（设备）
   public static void getSheet6(Sheet sheet,List<ErpCredit> erpCredits){
      if (sheet!=null){
          XSSFRow row = (XSSFRow) sheet.getRow(0);
          XSSFCell cell = row.getCell(0);
          TransferOfPower2 transferOfPower2 = null;
          List<TransferOfPower2> transferOfPower2s = ExportUtil1.getTransferOfPower2(erpCredits);
          for (int i = 0; i < transferOfPower2s.size(); i++) {
              transferOfPower2=transferOfPower2s.get(i);
              row = (XSSFRow) sheet.getRow((int)i+5);
              cell=row.getCell(0);
              cell.setCellValue(transferOfPower2.getPowerId());//项目定义编号
              cell=row.getCell(1);
              cell.setCellValue(transferOfPower2.getPowerName());//配电网资产名称
              cell=row.getCell(2);
              cell.setCellValue(transferOfPower2.getPowerArea());////线路起止地点或配变所在滴
              cell=row.getCell(3);
              cell.setCellValue(transferOfPower2.getPowerDepartment());//保管部门
              cell=row.getCell(4);
              cell.setCellValue(transferOfPower2.getPowerNumber());//配变数量
              cell=row.getCell(5);
              cell.setCellValue(transferOfPower2.getPowerUnit());//计量单位
              cell=row.getCell(6);
              cell.setCellValue(transferOfPower2.getPowerCapacity());//配变容量
              cell=row.getCell(7);
              cell.setCellValue(transferOfPower2.getPowerValue());//设备价值
              cell=row.getCell(8);
              cell.setCellValue(transferOfPower2.getPowerStandInFee());//摊入费用
              cell=row.getCell(9);
              cell.setCellValue(transferOfPower2.getPowerDeliveredAssets());//交付使用资产价值
              cell=row.getCell(10);
              cell.setCellValue(transferOfPower2.getPoweRequipmentFee());//其中：附属设备价值
          }
      }
   }
   //设备材料清册
    public static void getSheet7(Sheet sheet,List<ErpCredit> erpCredits){
        XSSFRow row = (XSSFRow) sheet.getRow(0);
        XSSFCell cell = row.getCell(0);
        MaterialEquipment materialEquipment = null;
        if (null!=sheet){
            List<MaterialEquipment> materialEquipments = ExportUtil1.getMaterialEquipment(erpCredits);
            for (int i = 0; i < materialEquipments.size(); i++) {
                materialEquipment = materialEquipments.get(i);
                row = (XSSFRow) sheet.getRow((int)i+5);
                cell=row.getCell(0);
                cell.setCellValue(materialEquipment.getId());//项目定义编号
                cell=row.getCell(1);
                cell.setCellValue(materialEquipment.getMeName());
                cell=row.getCell(2);
                cell.setCellValue(materialEquipment.getMeSpecifications());
                cell=row.getCell(3);
                cell.setCellValue(materialEquipment.getMeSupplierName());//供应单位制造
                cell=row.getCell(4);
                cell.setCellValue(materialEquipment.getMeUnit());////计量单位
                cell=row.getCell(5);
                cell.setCellValue(materialEquipment.getMeNumber());////数量
                cell=row.getCell(6);
                cell.setCellValue(materialEquipment.getMeUnitPrice());////单价
                cell=row.getCell(7);
                cell.setCellValue(materialEquipment.getMeAllPrice());////合计
            }
        }
    }

    //移交资产—配电网资产一览表(线路)1
    public static void getSheet10(Sheet sheet,List<ErpCredit> erpCredits){
        if (null!=sheet){
            XSSFRow row = (XSSFRow) sheet.getRow(0);
            XSSFCell cell = row.getCell(0);
            TransferOfPower1 transferOfPower1 = null;
            List<TransferOfPower1> transferOfPower1s = ExportUtil1.getTransFerPower1(erpCredits);
            for (int i = 0; i < transferOfPower1s.size(); i++) {
                transferOfPower1=transferOfPower1s.get(i);
                row = (XSSFRow) sheet.getRow((int)i+5);
                cell=row.getCell(0);
                cell.setCellValue(transferOfPower1.getPowerId());
                cell=row.getCell(1);
                cell.setCellValue(transferOfPower1.getPowerName());
                cell=row.getCell(2);
                cell.setCellValue(transferOfPower1.getPowerNumberBars());
                cell=row.getCell(3);
                cell.setCellValue(transferOfPower1.getPowerAssetClass());
                cell=row.getCell(4);
                cell.setCellValue(transferOfPower1.getPowerArea());
                cell=row.getCell(5);
                cell.setCellValue(transferOfPower1.getPowerDepartment());
                cell=row.getCell(6);
                cell.setCellValue(transferOfPower1.getPowerTenKvLineLength());
                cell=row.getCell(7);
                cell.setCellValue(transferOfPower1.getPowerTenKvCableType());
                cell=row.getCell(8);
                cell.setCellValue(transferOfPower1.getPowerBuildFee());
                cell=row.getCell(9);
                cell.setCellValue(transferOfPower1.getPowerInstallFee());
                cell=row.getCell(10);
                cell.setCellValue(transferOfPower1.getPowerStandInFee());
                cell=row.getCell(11);
                cell.setCellValue(transferOfPower1.getPowerDeliveredAssets());
                cell=row.getCell(12);
                cell.setCellValue(transferOfPower1.getPoweRequipmentFee());
            }
        }
    }
    //移交资产—配电网资产一览表（设备）2
    public static void getSheet11(Sheet sheet,List<ErpCredit> erpCredits){
        if (sheet!=null){
            XSSFRow row = (XSSFRow) sheet.getRow(0);
            XSSFCell cell = row.getCell(0);
            TransferOfPower2 transferOfPower2 = null;
            List<TransferOfPower2> transferOfPower2s = ExportUtil1.getTransferOfPower2(erpCredits);
            for (TransferOfPower2 transferOfPower21:transferOfPower2s){
                System.out.println(transferOfPower21);
            }
            for (int i = 0; i < transferOfPower2s.size(); i++) {
                transferOfPower2=transferOfPower2s.get(i);
                row = (XSSFRow) sheet.getRow((int)i+5);
                cell=row.getCell(0);
                cell.setCellValue(transferOfPower2.getPowerId());//项目定义编号
                cell=row.getCell(1);
                cell.setCellValue(transferOfPower2.getPowerName());//配电网资产名称
                cell=row.getCell(2);
                cell.setCellValue(transferOfPower2.getPowerAssetClass());
                cell=row.getCell(3);
                cell.setCellValue(transferOfPower2.getPowerArea());////线路起止地点或配变所在滴
                cell=row.getCell(4);
                cell.setCellValue(transferOfPower2.getPowerDepartment());//保管部门
                cell=row.getCell(5);
                cell.setCellValue(transferOfPower2.getPowerNumber());//配变数量
                cell=row.getCell(6);
                cell.setCellValue(transferOfPower2.getPowerUnit());//计量单位
                cell=row.getCell(7);
                cell.setCellValue(transferOfPower2.getPowerCapacity());//配变容量
                cell=row.getCell(8);
                cell.setCellValue(transferOfPower2.getPowerValue());//设备价值
                cell=row.getCell(9);
                cell.setCellValue(transferOfPower2.getPowerStandInFee());//摊入费用
                cell=row.getCell(10);
                cell.setCellValue(transferOfPower2.getPowerDeliveredAssets());//交付使用资产价值
                cell=row.getCell(11);
                cell.setCellValue(transferOfPower2.getPoweRequipmentFee());//其中：附属设备价值
            }
        }
    }

    //概述表
    public static void getSheet1(Sheet sheet, List<ErpCredit> erpCredits, List<MaintainData> maintainDataList){
       if (sheet!=null){
           GeneralSituation generalSituation = ExportUtil1.getFeneraSituation(erpCredits,maintainDataList);
           XSSFRow row = (XSSFRow) sheet.getRow(6);
           XSSFCell cell = row.getCell(3);
           cell.setCellValue(generalSituation.getOrganDataNumber());//日期，批文号

           row = (XSSFRow)sheet.getRow(9);
           cell = row.getCell(2);
           cell.setCellValue(generalSituation.getLineLength());
           cell = row.getCell(4);
           cell.setCellValue(generalSituation.getCommencementDate());

           row = (XSSFRow)sheet.getRow(10);
           cell = row.getCell(2);
           cell.setCellValue(generalSituation.getTenKvLength());
           cell = row.getCell(4);
           cell.setCellValue(generalSituation.getCompletionDate());

           row = (XSSFRow)sheet.getRow(11);
           cell=row.getCell(2);
           cell.setCellValue(generalSituation.getFourKvLength());

           row = (XSSFRow)sheet.getRow(12);
           cell=row.getCell(4);
           cell.setCellValue(generalSituation.getInvestmentBudget());

           row = (XSSFRow)sheet.getRow(13);
           cell=row.getCell(7);
           cell.setCellValue(generalSituation.getActualInvestment());//实际投资

           row = (XSSFRow)sheet.getRow(14);
           cell=row.getCell(7);
           cell.setCellValue(generalSituation.getTransferAssets());

           row = (XSSFRow)sheet.getRow(16);
           cell=row.getCell(7);
           cell.setCellValue(generalSituation.getHasItsOwn());
       }
    }
    //资产总表
    public static void getSheet4(Sheet sheet,List<ErpCredit> erpCredits){
       if (sheet!=null){
           XSSFRow row = (XSSFRow) sheet.getRow(0);
           XSSFCell cell = row.getCell(0);
           TheAssetsTotal theAssetsTotal = null;
           List<TheAssetsTotal> theAssetsTotals = ExportUtil1.getTheAssetsTotal(erpCredits);
           for (int i = 0; i < theAssetsTotals.size(); i++) {
               theAssetsTotal = theAssetsTotals.get(i);
               row = (XSSFRow) sheet.getRow((int)i+6);
               cell = row.getCell(2);
               cell.setCellValue(theAssetsTotal.getBuildProject());
               cell=row.getCell(3);
               cell.setCellValue(theAssetsTotal.getIntallProject());
               cell=row.getCell(4);
               cell.setCellValue(theAssetsTotal.getEquipmentValue());
               cell=row.getCell(5);
               cell.setCellValue(theAssetsTotal.getCostSharing());
               cell=row.getCell(6);
               cell.setCellValue(theAssetsTotal.getDeliveryCostValue());
           }
       }
    }
    private static Map<String, CellStyle> createStyles(Workbook wb) {
        Map<String, CellStyle> styles = new HashMap<String, CellStyle>();

        CellStyle style = wb.createCellStyle();
        style.setAlignment(CellStyle.ALIGN_CENTER);
        style.setVerticalAlignment(CellStyle.VERTICAL_CENTER);
        Font titleFont = wb.createFont();
        titleFont.setFontName("Arial");
        titleFont.setFontHeightInPoints((short) 16);
        titleFont.setBoldweight(Font.BOLDWEIGHT_BOLD);
        style.setFont(titleFont);
        styles.put("title", style);

        style = wb.createCellStyle();
        style.setVerticalAlignment(CellStyle.VERTICAL_CENTER);
        style.setBorderRight(CellStyle.BORDER_THIN);
        style.setRightBorderColor(IndexedColors.GREY_50_PERCENT.getIndex());
        style.setBorderLeft(CellStyle.BORDER_THIN);
        style.setLeftBorderColor(IndexedColors.GREY_50_PERCENT.getIndex());
        style.setBorderTop(CellStyle.BORDER_THIN);
        style.setTopBorderColor(IndexedColors.GREY_50_PERCENT.getIndex());
        style.setBorderBottom(CellStyle.BORDER_THIN);
        style.setBottomBorderColor(IndexedColors.GREY_50_PERCENT.getIndex());
        Font dataFont = wb.createFont();
        dataFont.setFontName("Arial");
        dataFont.setFontHeightInPoints((short) 10);
        style.setFont(dataFont);
        styles.put("data", style);

        style = wb.createCellStyle();
        style.cloneStyleFrom(styles.get("data"));
        style.setAlignment(CellStyle.ALIGN_LEFT);
        styles.put("data1", style);

        style = wb.createCellStyle();
        style.cloneStyleFrom(styles.get("data"));
        style.setAlignment(CellStyle.ALIGN_CENTER);
        styles.put("data2", style);

        style = wb.createCellStyle();
        style.cloneStyleFrom(styles.get("data"));
        style.setAlignment(CellStyle.ALIGN_RIGHT);
        styles.put("data3", style);

        style = wb.createCellStyle();
        style.cloneStyleFrom(styles.get("data"));
//		style.setWrapText(true);
        style.setAlignment(CellStyle.ALIGN_CENTER);
        style.setFillForegroundColor(IndexedColors.GREY_50_PERCENT.getIndex());
        style.setFillPattern(CellStyle.SOLID_FOREGROUND);
        Font headerFont = wb.createFont();
        headerFont.setFontName("Arial");
        headerFont.setFontHeightInPoints((short) 10);
        headerFont.setBoldweight(Font.BOLDWEIGHT_BOLD);
        headerFont.setColor(IndexedColors.BLACK.getIndex());
        style.setFont(headerFont);
        style.setFillForegroundColor(HSSFColor.WHITE.index);
        styles.put("header", style);

        return styles;
    }
}
