<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>请假申请管理</title>
	<meta name="decorator" content="ani"/>
	<!-- SUMMERNOTE -->
	<%@include file="/webpage/include/summernote.jsp" %>
	<script type="text/javascript">

		$(document).ready(function() {
			jp.ajaxForm("#inputForm",function(data){
				if(data.success){
					jp.success(data.msg);
					jp.go("${ctx}"+ data.body.targetUrl);
				}else{
					jp.error(data.msg);
					$("#inputForm").find("button:submit").button("reset");
				}
			});

			$('#acceptDate').datetimepicker({
				format: "YYYY-MM-DD HH:mm:ss"
			});
			$('#examineDate').datetimepicker({
				format: "YYYY-MM-DD HH:mm:ss"
			});
			//富文本初始化
			$('#reason').summernote({
				height: 300,
				lang: 'zh-CN',
				callbacks: {
					onChange: function(contents, $editable) {
						$("input[name='reason']").val($('#reason').summernote('code'));//取富文本的值
					}
				}
			});
		});
	</script>
</head>
<body>
<div class="wrapper wrapper-content">
	<div class="row">
		<div class="col-md-12">
			<div class="panel panel-primary">
				<div class="panel-heading">
					<h3 class="panel-title">
						<a class="panelButton"  href="#"  onclick="history.go(-1)"><i class="ti-angle-left"></i> 返回</a>
					</h3>
				</div>
				<div class="panel-body">
					<form:form id="inputForm" modelAttribute="construction" action="${ctx}/managementcenter/activiti/save" method="post" class="form-horizontal">
						<form:hidden path="id"/>
						<form:hidden path="act.taskId"/>
						<form:hidden path="act.taskName"/>
						<form:hidden path="act.taskDefKey"/>
						<form:hidden path="act.procInsId"/>
						<form:hidden path="act.procDefId"/>
						<form:hidden id="flag" path="act.flag" />
						<div class="form-group text-center">
							<h3> 施工交底申请</h3>
						</div>
						<div class="form-group">
							<label class="col-sm-2 control-label"><font color="red">*</font>申请人：</label>
							<div class="col-sm-10">
								<div class='input-group' id='userName'>
									<input type='text'  name="userName" class="form-control required"  value="${construction.userName}"/>
								</div>
							</div>
						</div>
						<hr>
						<div class="form-group">
							<label class="col-sm-2 control-label"><font color="red">*</font>项目号：</label>
							<div class="col-sm-10">
								<div class='input-group' id='projectId'>
									<input type='text'  name="projectId" class="form-control required"  value="${construction.projectId}"/>
								</div>
							</div>
						</div>
						<hr>
						<div class="form-group">
							<label class="col-sm-2 control-label"><font color="red">*</font>项目名称：</label>
							<div class="col-sm-10">
								<div class='input-group form-control' id='projectName'>
									<input type='text'  name="projectName" class="form-control required"  value="${construction.projectName}"/>
								</div>
							</div>
						</div>
						<hr>
						<div class="form-group">
							<label class="col-sm-2 control-label"><font color="red">*</font>接收图纸时间：</label>
							<div class="col-sm-10">
									<div class='input-group form_datetime' id='acceptDate'>
									<input type='text'  name="acceptDate" class="form-control required"  value="<fmt:formatDate value="${construction.acceptDate}" pattern="yyyy-MM-dd HH:mm:ss"/>"/>
									<span class="input-group-addon">
								<span class="glyphicon glyphicon-calendar"></span>
							</span>
								</div>
							</div>
						</div>
						<hr>
						<div class="form-group">
							<label class="col-sm-2 control-label"><font color="red">*</font>查看时间：</label>
							<div class="col-sm-10">
								<div class='input-group form_datetime' id='examineDate'>
									<input type='text'  name="examineDate" class="form-control required"  value="<fmt:formatDate value="${construction.examineDate}" pattern="yyyy-MM-dd HH:mm:ss"/>"/>
									<span class="input-group-addon">
								<span class="glyphicon glyphicon-calendar"></span>
							</span>
								</div>
							</div>
						</div>
						<hr>
						<div class="form-group">
							<div class="col-lg-3"></div>
							<c:if test="${construction.act.taskDefKey ne '' && !construction.act.finishTask && construction.act.isNextGatewaty}">
								<div class="col-sm-6">
									<div class="form-group text-center">
										<input id="agree" class="btn  btn-primary btn-lg btn-parsley" type="submit" value="重新提交" onclick="$('#flag').val('yes')"/>&nbsp;
										<input id="reject" class="btn  btn-danger btn-lg btn-parsley" type="submit" value="销毁申请" onclick="$('#flag').val('no')"/>&nbsp;
									</div>
								</div>
							</c:if>
							<c:if test="${construction.act.startTask}">
								<div class="col-lg-6">
									<div class="form-group text-center">
										<div>
											<button class="btn btn-primary btn-block btn-lg btn-parsley" data-loading-text="正在提交...">提 交</button>
										</div>
									</div>
								</div>
							</c:if>
						</div>
					</form:form>
					<c:if test="${not empty construction.id}">
						<act:flowChart procInsId="${construction.act.procInsId}"/>
						<act:histoicFlow procInsId="${construction.act.procInsId}" />
					</c:if>
				</div>
			</div>
		</div>
	</div>
</div>
</body>
</html>